Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IcePack::Query`

## Overview

    interface Query

The IcePack query interface. This interface is accessible to Ice clients who wish to lookup objects.

### Operation Index

`findAllObjectsWithType`

  Find all the objects with the given type.

`findObjectById`

  Find an object by identity.

`findObjectByType`

  Find an object by type.

## `findAllObjectsWithType`

    ::Ice::ObjectProxySeq findAllObjectsWithType(string type)
        throws
    	ObjectNotExistException;

Find all the objects with the given type.

### Parameters

`type`

  The object type.

### Return Value

The proxies.

### Exceptions

`ObjectNotExistException`

  Raised if no objects can be found.

## `findObjectById`

    Object* findObjectById(::Ice::Identity id)
        throws
    	ObjectNotExistException;

Find an object by identity.

### Parameters

`id`

  The identity.

### Return Value

The proxy.

### Exceptions

`ObjectNotExistException`

  Raised if no objects can be found.

## `findObjectByType`

    Object* findObjectByType(string type)
        throws
    	ObjectNotExistException;

Find an object by type.

### Parameters

`type`

  The object type.

### Return Value

The proxy.

### Exceptions

`ObjectNotExistException`

  Raised if no objects can be found.

<<< Previous | Home | Next >>>
`IcePack::PropertyDescriptor` | Up | `IcePack::ServerActivation`